<?php

/************** Includes **********************************/
require_once '../../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

// Compruebo si la tarifa seleccionada es de personal
// para mostrar formulario de validación
$sql_tipo_tarifa = "SELECT ug.nombre, s.pistas, s_instalacion, s.pases, a.nombre as nombreA, ug.especial
					FROM tarifas t JOIN usuarios_grupos ug ON t.usuarios_grupo_id = ug.id
					JOIN servicios s ON t.servicio_id = s.id
					JOIN actividades a ON s.actividad_id = a.id
					AND t.servicio_id = " . $_POST['servicio'] . "
					AND t.id = " . $_POST['tarifa'];

$result_tipo_tarifa = $conexion->query($sql_tipo_tarifa);

if ($result_tipo_tarifa->rowCount() > 0) {

    $row_tipo_tarifa = $result_tipo_tarifa->fetch();

    $tarifa_grupo = strtoupper($row_tipo_tarifa['nombre']);

    // Devuelvo nombre del grupo para cargar un botón de validacion
    // de usuario u otro, y si es especial o no para mostrar el formulario
    $tarifa_especial['grupo'] = $tarifa_grupo;

    if ($row_tipo_tarifa['especial'] == 1) {
        $tarifa_especial['especial'] = 1;
    } else {
        $tarifa_especial['especial'] = 0;
    }

    echo json_encode($tarifa_especial);
}
